This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 537917 - licensing issue with src/joystick/os2/joyos2.h
licensing issue with src/joystick/os2/joyos2.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal 537918
  Show dependency treegraph
 
Reported: 2009-11-16 14:22 EST by Tom "spot" Callaway
Modified: 2010-04-19 14:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 537918 (view as bug list)
Environment:
Last Closed: 2010-04-19 14:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
SDL Simple Directmedia Layer 888 None None None Never

  None (edit)
Description Tom "spot" Callaway 2009-11-16 14:22:42 EST
One of the source files included with SDL (src/joystick/os2/joyos2.h) has a
licensing issue. Specifically, it says:

/*****************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 source code is provided to you solely for       */
/*    the purpose of assisting you in your development of OS/2 device        */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/

No copy of the "IBM License Agreement" is included with SDL, nor was I able to
find a copy of it on the internet.

Barring a copy of the license agreement, one can only assume that the copyright
holder did not grant any additional rights beyond those automatically granted
by copyright law. Notably, this means that there is no clear permission to
copy, modify, or redistribute this file. In addition, there is a very high
likelyhood that this file (and any other files under this "IBM License
Agreement" are license incompatible with LGPL.

I've filed this issue with the SDL upstream:
http://bugzilla.libsdl.org/show_bug.cgi?id=888

In Fedora, we will need to remove the joyos2.h file from the source tarball and use a "clean" tarball, as it is not clear that we have permission to redistribute that file, even though we are not using it at all. In the spec, please add a comment explaining how the "clean" tarball can be regenerated.

If the license is clarified by IBM, or if the file is removed from upstream SDL, we can start using the unmodified upstream source tarball again.
Comment 2 Bug Zapper 2010-03-15 09:02:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Tom "spot" Callaway 2010-04-19 14:32:05 EDT
Fixed in rawhide, no longer includes the non-free file, closing bug.

Note You need to log in before you can comment on or make changes to this bug.